Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ChartLabelInfo

    java.lang.Object
      jet.api.ChartLabelInfo

    public class ChartLabelInfo

extends java.lang.Object

An information package of chart title and notes.

Constructor Summary
`ChartLabelInfo()` Constructor.
`ChartLabelInfo(java.lang.String titleName, java.lang.String titleText, java.lang.String leftName, java.lang.String leftText, java.lang.String btmName, java.lang.String btmText)` Constructor.

Method Summary
`java.lang.String` | `getBottomText()` Gets the text of the note field on the bottom of the chart.
`java.lang.String` | `getLeftText()` Gets the text of the note field on the left of the chart.
`java.lang.String` | `getTitleText()` Gets the text of the title field.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartLabelInfo

    public ChartLabelInfo()

  Constructor. Creates chart title and note information.

### ChartLabelInfo

    public ChartLabelInfo(java.lang.String titleName,
                          java.lang.String titleText,
                          java.lang.String leftName,
                          java.lang.String leftText,
                          java.lang.String btmName,
                          java.lang.String btmText)

  Constructor. Creates chart title and notes information.

  Parameters:
    `titleName` - Specifies the instance name of the chart title field.
    `titleText` - Specifies the text of the title field.
    `leftName` - Specifies the instance name of the chart note field on the left of the chart.
    `leftText` - Specifies the text of the chart note field on the left of the chart.
    `btmName` - Specifies the instance name of the chart note field on the bottom of the chart.
    `btmText` - Specifies the text of the chart note field on the bottom of the chart.

Method Detail

### getTitleText

    public java.lang.String getTitleText()

  Gets the text of the title field.

  Returns:
    text string of the title field.

### getLeftText

    public java.lang.String getLeftText()

  Gets the text of the note field on the left of the chart.

  Returns:
    text string of the note field.

### getBottomText

    public java.lang.String getBottomText()

  Gets the text of the note field on the bottom of the chart.

  Returns:
    text string of the note field.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD